Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.interfaces
Interface FamilyClusterInfo

All Known Implementing Classes:
  FamilyClusterInfoImpl

public interface FamilyClusterInfo

Maintain information for a given proxy family. Proxies can statically reference objects implementing this interface: only the content will change as the cluster topology changes, not the FamilyClusterInfo object itself. Proxies or LoadBalancing policy implementations can use the cursor and object attribute to store arbitrary data that is then shared accross all proxies belonging to the same family. Initial access to this object is done through the ClusteringTargetsRepository singleton.

Version:
  $Revision: 1.4 $

  Revisions:

  2002/08/23, Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  `FamilyClusterInfoImpl`, `ClusteringTargetsRepository`

Field Summary
`static int` | `UNINITIALIZED_CURSOR`

Method Summary
`boolean` | `currentMembershipInSyncWithViewId()`
`long` | `getCurrentViewId()`
`int` | `getCursor()`
`String` | `getFamilyName()`
`Object` | `getObject()`
`ArrayList` | `getTargets()`
`ArrayList` | `removeDeadTarget(Object target)`
`void` | `resetView()`
`int` | `setCursor(int cursor)`
`Object` | `setObject(Object whatever)`
`ArrayList` | `updateClusterInfo(ArrayList targets, long viewId)`

Field Detail

### UNINITIALIZED_CURSOR

    public static final int UNINITIALIZED_CURSOR

See Also:
  Constant Field Values

Method Detail

### getFamilyName

    public String getFamilyName()

### getTargets

    public ArrayList getTargets()

### getCurrentViewId

    public long getCurrentViewId()

### removeDeadTarget

    public ArrayList removeDeadTarget(Object target)

### updateClusterInfo

    public ArrayList updateClusterInfo(ArrayList targets,
                                       long viewId)

### currentMembershipInSyncWithViewId

    public boolean currentMembershipInSyncWithViewId()

### resetView

    public void resetView()

### getCursor

    public int getCursor()

### setCursor

    public int setCursor(int cursor)

### getObject

    public Object getObject()

### setObject

    public Object setObject(Object whatever)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.